Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.subsystem
Class SubsystemMessage

    java.lang.Object
      com.sshtools.j2ssh.subsystem.SubsystemMessage

Direct Known Subclasses:
  SshFxpAttrs, SshFxpClose, SshFxpData, SshFxpFSetStat, SshFxpFStat, SshFxpHandle, SshFxpInit, SshFxpLStat, SshFxpMkdir, SshFxpName, SshFxpOpen, SshFxpOpenDir, SshFxpRead, SshFxpReadDir, SshFxpReadlink, SshFxpRealPath, SshFxpRemove, SshFxpRename, SshFxpRmdir, SshFxpSetStat, SshFxpStat, SshFxpStatus, SshFxpSymlink, SshFxpVersion, SshFxpWrite

public abstract class SubsystemMessage
extends java.lang.Object

DOCUMENT ME!

Constructor Summary
`SubsystemMessage(int type)` Creates a new SubsystemMessage object.

Method Summary
`abstract void` | `constructByteArray(ByteArrayWriter baw)` DOCUMENT ME!
`abstract void` | `constructMessage(ByteArrayReader bar)` DOCUMENT ME!
`void` | `fromByteArray(byte[] data)` DOCUMENT ME!
`abstract java.lang.String` | `getMessageName()` DOCUMENT ME!
`int` | `getMessageType()` DOCUMENT ME!
`byte[]` | `toByteArray()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubsystemMessage

    public SubsystemMessage(int type)

  Creates a new SubsystemMessage object.

Parameters:
  `type` - DOCUMENT ME!

Method Detail

### getMessageName

    public abstract java.lang.String getMessageName()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getMessageType

    public int getMessageType()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### constructByteArray

    public abstract void constructByteArray(ByteArrayWriter baw)
                                     throws InvalidMessageException,
                                            java.io.IOException

  DOCUMENT ME!

  Parameters:
    `baw` - DOCUMENT ME!
  Throws:
    `InvalidMessageException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### constructMessage

    public abstract void constructMessage(ByteArrayReader bar)
                                   throws InvalidMessageException,
                                          java.io.IOException

  DOCUMENT ME!

  Parameters:
    `bar` - DOCUMENT ME!
  Throws:
    `InvalidMessageException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### fromByteArray

    public void fromByteArray(byte[] data)
                       throws InvalidMessageException

  DOCUMENT ME!

  Parameters:
    `data` - DOCUMENT ME!
  Throws:
    `InvalidMessageException` - DOCUMENT ME!

### toByteArray

    public byte[] toByteArray()
                       throws InvalidMessageException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `InvalidMessageException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD